Bug 137409 - [Win] Extend AVFoundationCF Media Implementation
Summary: [Win] Extend AVFoundationCF Media Implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brent Fulgham
URL:
Keywords:
Depends on:
Blocks: 137710
  Show dependency treegraph
 
Reported: 2014-10-03 15:06 PDT by Brent Fulgham
Modified: 2014-10-21 11:54 PDT (History)
7 users (show)

See Also:


Attachments
Patch (21.62 KB, patch)
2014-10-03 15:17 PDT, Brent Fulgham
no flags Details | Formatted Diff | Diff
Patch (22.03 KB, patch)
2014-10-03 15:22 PDT, Brent Fulgham
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2014-10-03 15:06:25 PDT
Correct  few errors in the existing AVFoundationCF implementation, and add initial support for encrypted streams.

This code is not being built as part of the standard build yet, and is not yet being tested. These changes are only accessible if you manually modify the ENCRYPTED_MEDIA_V2 is enabled.
Comment 1 Brent Fulgham 2014-10-03 15:17:59 PDT
Created attachment 239241 [details]
Patch
Comment 2 Brent Fulgham 2014-10-03 15:22:12 PDT
Created attachment 239242 [details]
Patch
Comment 3 Eric Carlson 2014-10-04 05:34:26 PDT
Comment on attachment 239242 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=239242&action=review

> Source/WebCore/platform/graphics/avfoundation/cf/MediaPlayerPrivateAVFoundationCF.cpp:929
> +    if (!keySystem.isEmpty()) {

Nit: this could become an early return.

> Source/WebCore/platform/graphics/avfoundation/cf/MediaPlayerPrivateAVFoundationCF.cpp:2033
> +    if (requestsIterator == m_keyURIToRequestMap.end()) {

Nit: this could also become an early return.
Comment 4 Brent Fulgham 2014-10-06 10:49:28 PDT
Committed r174346: <http://trac.webkit.org/changeset/174346>
Comment 5 Brent Fulgham 2014-10-06 11:02:20 PDT
Build fix for machines without ENCYPTED_MEDIA_V2 enabled checked in under r174350:
<http://trac.webkit.org/changeset/174350>